package com.jxml.quick.util.qjml2java2;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * The root class to model the element QJML
 */
public class QCQJML extends OCMrootPeerSupportLite
{
/**
 * Method declaration<br>
 * Initialize the data model
 * @param param Name of the parameter
 * @exception SAXException Legal SAXException
 * @exception IOException Legal IOException
 */
 	public void cvt(Object param) throws SAXException, IOException
	{
		QMQJML qjml=(QMQJML)dataModel;
		qjml.init(); 
 		doCvt(qjml.coinMap,null);
	}
/**
 * Method declaration<br>
 * @return  <code>true</code> if this represents expressDefaults
      <code>false</code> otherwise.
 * @exception SAXException
 * @exception IOException
 */
	public String express(boolean expressDefaults)
		throws SAXException, IOException
	{
		context.setStringBuffer(new StringBuffer());
		cvt(null);
		return context.getStringBuffer().toString();
	}
/**
 * Method declaration<br>
 * @exception SAXException
 * @exception IOException
 */
	public void express(PrintWriter pw, boolean expressDefaults)
		throws SAXException, IOException
	{
		pw.print(express(expressDefaults));
	}
}
